/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*
 * This file is part of MIA.
 *
 * MIA is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/* $Id: midiMultifile.h,v 1.1 2005/01/19 14:18:07 jaffe Exp $
 * $Log: midiMultifile.h,v $
 * Revision 1.1  2005/01/19 14:18:07  jaffe
 * new heidelberg routine
 *
 * Created:     Tue Aug 19 14:33:16 2003 by Koehler@sun47
 * Last change: Tue Aug 19 14:35:32 2003
 *
 * This file is Hellware!
 * It may send you and your data straight to hell without further notice.
 */

#include "fitsio.h"
#include "imaging_data.h"
#include "imaging_fdata.h"
#include "minrtsFrameData.h"

struct multifile {
  char **filelist;	/** list of files in this dataset **/
  long *nframes;	/** number of frames in each file **/
  long totframes;	/** number of frames in all files **/
  int  nFiles;		/** number of files **/
  fitsfile *open_file;	/** the file currently open **/
  int open_no;		/** the number of the file currently open, **/
			/** or -1 if no file is open **/
  imaging_data_table_def *idata;
  imaging_detector_table_def *inDetectorDef;
};

extern char** strSplit (char *string, int *nString);
extern void killFileList(char **fileList, int nFiles);

extern struct multifile *multifile_open(char *files, int *ierr);
extern int multifile_close(struct multifile *MFile, int *ierr);
extern int multifile_rd_img_data_tbl( struct multifile *MFile,
		imaging_data_row *data, long wantRow, int *ierr);
